[{"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\App.js":"1","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\index.js":"2","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\templates\\MainTemplate.js":"3","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\Home.js":"4","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\AnnuaireForm.js":"5","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\TextInput.js":"6","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\utils\\yup.js":"7","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\InputError.js":"8","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\Footer.js":"9","C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\Loader.js":"10"},{"size":1506,"mtime":1608401955917,"results":"11","hashOfConfig":"12"},{"size":225,"mtime":1608401417127,"results":"13","hashOfConfig":"12"},{"size":485,"mtime":1608401942852,"results":"14","hashOfConfig":"12"},{"size":787,"mtime":1608402090987,"results":"15","hashOfConfig":"12"},{"size":939,"mtime":1608402061689,"results":"16","hashOfConfig":"12"},{"size":889,"mtime":1608402045480,"results":"17","hashOfConfig":"12"},{"size":184,"mtime":1608402202046,"results":"18","hashOfConfig":"12"},{"size":241,"mtime":1608403344064,"results":"19","hashOfConfig":"12"},{"size":296,"mtime":1608402185779,"results":"20","hashOfConfig":"12"},{"size":491,"mtime":1608402031241,"results":"21","hashOfConfig":"12"},{"filePath":"22","messages":"23","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":"24","usedDeprecatedRules":"25"},"1aoqmd5",{"filePath":"26","messages":"27","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"28"},{"filePath":"29","messages":"30","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"31","messages":"32","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"33"},{"filePath":"34","messages":"35","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"25"},{"filePath":"36","messages":"37","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"38","messages":"39","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"40","messages":"41","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"42","messages":"43","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"25"},{"filePath":"44","messages":"45","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\App.js",["46","47"],"import React, { useState } from \"react\";\nimport { BrowserRouter as Router, Route, Switch } from \"react-router-dom\";\nimport axios from \"axios\";\nimport Home from \"./components/Home\";\nimport MainTemplate from \"./templates/MainTemplate\";\n\nconst App = () => {\n  const [isLoading, setLoadingStatus] = useState(false);\n  const [data, storeData] = useState(null);\n  const [resultsPage, setResultsPage] = useState(1);\n\n  const handleAnnuaireFormSubmit = (values) => {\n    setLoadingStatus(true);\n\n    const fetchUrl = `${\n      process.env.REACT_APP_ANNUAIRE_APIBASEURL\n    }${values.search.trim()}&page=1`;\n\n    axios({\n      method: \"get\",\n      url: fetchUrl,\n    })\n      .then((response) => {\n        console.log(response);\n        storeData(response);\n      })\n      .catch((error) => {\n        console.error(error);\n      })\n      .then(() => {\n        setLoadingStatus(false);\n      });\n  };\n\n  return (\n    <Router>\n      <Switch>\n        <Route\n          exact\n          path=\"/\"\n          render={() => (\n            <MainTemplate>\n              <Home\n                data={data}\n                handleAnnuaireFormSubmit={handleAnnuaireFormSubmit}\n                isLoading={isLoading}\n              />\n            </MainTemplate>\n          )}\n        />\n        <Route\n          path=\"/toobibPage/:Id\"\n          render={() => (\n            <MainTemplate>\n              <div>Toobib page</div>\n            </MainTemplate>\n          )}\n        />\n      </Switch>\n    </Router>\n  );\n};\n\nexport default App;\n",["48","49"],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\index.js",[],["50","51"],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\templates\\MainTemplate.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\Home.js",[],["52","53"],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\AnnuaireForm.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\TextInput.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\utils\\yup.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\InputError.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\Footer.js",[],"C:\\Users\\silve\\Desktop\\dev\\perso\\interhop\\react-toobib-v2\\src\\components\\business-components\\Loader.js",[],{"ruleId":"54","severity":1,"message":"55","line":10,"column":10,"nodeType":"56","messageId":"57","endLine":10,"endColumn":21},{"ruleId":"54","severity":1,"message":"58","line":10,"column":23,"nodeType":"56","messageId":"57","endLine":10,"endColumn":37},{"ruleId":"59","replacedBy":"60"},{"ruleId":"61","replacedBy":"62"},{"ruleId":"59","replacedBy":"63"},{"ruleId":"61","replacedBy":"64"},{"ruleId":"59","replacedBy":"65"},{"ruleId":"61","replacedBy":"66"},"no-unused-vars","'resultsPage' is assigned a value but never used.","Identifier","unusedVar","'setResultsPage' is assigned a value but never used.","no-native-reassign",["67"],"no-negated-in-lhs",["68"],["67"],["68"],["67"],["68"],"no-global-assign","no-unsafe-negation"]